/* A lexical scanner generated by flex */

/* scanner skeleton version:
 * $Header: /usr/fsys/odin/a/vern/flex/RCS/flex.skel,v 2.16 90/08/03 14:09:36 vern Exp $
 */

#define FLEX_SCANNER

#include <stdio.h>


/* cfront 1.2 defines "c_plusplus" instead of "__cplusplus" */
#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif


#ifdef __cplusplus

#include <stdlib.h>
#include <osfcn.h>

/* use prototypes in function declarations */
#define YY_USE_PROTOS

/* the "const" storage-class-modifier is valid */
#define YY_USE_CONST

#else	/* ! __cplusplus */

#ifdef __STDC__

#ifdef __GNUC__
#include <stddef.h>
void *malloc( size_t );
void free( void* );
#else
#include <stdlib.h>
#endif	/* __GNUC__ */

#define YY_USE_PROTOS
#define YY_USE_CONST

#endif	/* __STDC__ */
#endif	/* ! __cplusplus */


#ifdef __TURBOC__
#define YY_USE_CONST
#endif


#ifndef YY_USE_CONST
#define const
#endif


#ifdef YY_USE_PROTOS
#define YY_PROTO(proto) proto
#else
#define YY_PROTO(proto) ()
/* we can't get here if it's an ANSI C compiler, or a C++ compiler,
 * so it's got to be a K&R compiler, and therefore there's no standard
 * place from which to include these definitions
 */
# ifndef __hpux
char *malloc();
int free();
int read();
# endif
#endif


/* amount of stuff to slurp up with each read */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* returned upon end-of-file */
#define YY_END_TOK 0

/* copy whatever the last rule matched to the standard output */

/* cast to (char *) is because for 8-bit chars, yytext is (unsigned char *) */
/* this used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite()
 */
#define ECHO (void) fwrite( (char *) yytext, yyleng, 1, yyout )

/* gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#define YY_INPUT(buf,result,max_size) \
	if ( (result = read( fileno(yyin), (char *) buf, max_size )) < 0 ) \
	    YY_FATAL_ERROR( "read() in flex scanner failed" );
#define YY_NULL 0

/* no semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#define yyterminate() return ( YY_NULL )

/* report a fatal error */

/* The funky do-while is used to turn this macro definition into
 * a single C statement (which needs a semi-colon terminator).
 * This avoids problems with code like:
 *
 * 	if ( something_happens )
 *		YY_FATAL_ERROR( "oops, the something happened" );
 *	else
 *		everything_okay();
 *
 * Prior to using the do-while the compiler would get upset at the
 * "else" because it interpreted the "if" statement as being all
 * done when it reached the ';' after the YY_FATAL_ERROR() call.
 */

#define YY_FATAL_ERROR(msg) \
	do \
		{ \
		(void) fputs( msg, stderr ); \
		(void) putc( '\n', stderr ); \
		exit( 1 ); \
		} \
	while ( 0 )

/* default yywrap function - always treat EOF as an EOF */
#define yywrap() 1

/* enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN
 */
#define BEGIN yy_start = 1 + 2 *

/* action number for EOF rule of a given start state */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* special action meaning "start processing a new file" */
#define YY_NEW_FILE \
	do \
		{ \
		yy_init_buffer( yy_current_buffer, yyin ); \
		yy_load_buffer_state(); \
		} \
	while ( 0 )

/* default declaration of generated scanner - a define so the user can
 * easily add parameters
 */
#define YY_DECL int yylex YY_PROTO(( void )) 

/* code executed at the end of each rule */
#define YY_BREAK break;

#define YY_END_OF_BUFFER_CHAR 0

#ifndef YY_BUF_SIZE
#define YY_BUF_SIZE (YY_READ_BUF_SIZE * 2) /* size of default input buffer */
#endif

typedef struct yy_buffer_state *YY_BUFFER_STATE;

#define YY_CHAR char
# line 1 "lexer.l"
#define INITIAL 0
# line 2 "lexer.l"
/*
    This file is part of the FElt finite element analysis package.
    Copyright (C) 1993 Jason I. Gobat and Darren C. Atkinson

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/************************************************************************
 * File:	lexer.l							*
 *									*
 * Description:	This file contains the flex specification for the	*
 *		input file lexical analyzer.				*
 *									*
 * History:	V1.0 by Jason Gobat and Darren C. Atkinson		*
 ************************************************************************/

# include <stdlib.h>
# include <string.h>
# include "problem.h"
# include "error.h"
# include "y.tab.h"


/************************************************************************
 * Function:	 yylex							*
 *									*
 * Parameters:	 none							*
 *									*
 * Return value: next token						*
 *									*
 * Calls:	 none							*
 *									*
 * Called by:	 yyparse						*
 *									*
 * Global data:	 yytext is modified					*
 *									*
 * Description:	 Yylex is the input file lexical analyzer generated	*
 *		 by flex.						*
 ************************************************************************/

# line 69 "lexer.l"

/* done after the current pattern has been matched and before the
 * corresponding action - sets up yytext
 */
#define YY_DO_BEFORE_ACTION \
	yytext = yy_bp; \
	yyleng = yy_cp - yy_bp; \
	yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yy_c_buf_p = yy_cp;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

/* return all but the first 'n' matched characters back to the input stream */
#define yyless(n) \
	do \
		{ \
		/* undo effects of setting up yytext */ \
		*yy_cp = yy_hold_char; \
		yy_c_buf_p = yy_cp = yy_bp + n; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yytext )


struct yy_buffer_state
    {
    FILE *yy_input_file;

    YY_CHAR *yy_ch_buf;		/* input buffer */
    YY_CHAR *yy_buf_pos;	/* current position in input buffer */

    /* size of input buffer in bytes, not including room for EOB characters*/
    int yy_buf_size;	

    /* number of characters read into yy_ch_buf, not including EOB characters */
    int yy_n_chars;

    int yy_eof_status;		/* whether we've seen an EOF on this buffer */
#define EOF_NOT_SEEN 0
    /* "pending" happens when the EOF has been seen but there's still
     * some text process
     */
#define EOF_PENDING 1
#define EOF_DONE 2
    };

static YY_BUFFER_STATE yy_current_buffer;

/* we provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state"
 */
#define YY_CURRENT_BUFFER yy_current_buffer


/* yy_hold_char holds the character lost when yytext is formed */
static YY_CHAR yy_hold_char;

static int yy_n_chars;		/* number of characters read into yy_ch_buf */



#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

#ifndef YY_USER_INIT
#define YY_USER_INIT
#endif

extern YY_CHAR *yytext;
extern int yyleng;
extern FILE *yyin, *yyout;

YY_CHAR *yytext;
int yyleng;

FILE *yyin = (FILE *) 0, *yyout = (FILE *) 0;

#define YY_END_OF_BUFFER 66
typedef int yy_state_type;
static const short int yy_accept[457] =
    {   0,
        0,    0,   66,   60,   62,   64,   63,   63,   63,   60,
       63,   52,   60,   60,   60,   60,   60,   60,   60,   60,
       60,   60,   60,   60,   60,   60,   60,   60,   60,   60,
       60,   60,   60,   60,   60,   60,   60,   60,   58,   62,
       63,   58,   51,   58,   58,   58,   58,   58,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   58,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   58,   58,   60,
        0,   61,    0,   56,   55,   57,   54,   52,   60,    0,
       60,   16,    0,    0,   12,   60,   60,   60,    0,   18,
       60,   60,   60,    0,   17,   60,   60,   60,   60,   60,

       60,   60,   60,   60,    0,   19,   60,   60,   60,    0,
        9,    0,   10,    0,   11,   60,   60,   60,   60,   60,
       60,   60,   60,   60,   60,   60,   60,   60,   58,   58,
        0,    0,   51,    0,   59,   55,   54,   51,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   58,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   58,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   58,   58,   58,
       58,   60,   54,   60,    0,   53,    0,    0,   23,    0,
       24,    0,   25,    0,   13,    0,   14,    0,   15,   60,
        0,   26,    0,   27,    0,   28,    0,   22,   60,    0,

        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,   60,   49,   60,   60,   60,   40,   60,   60,   60,
       60,   60,   48,   50,   60,   60,    0,   59,   58,   54,
       58,   53,   58,   58,   58,   49,   58,   58,   58,   40,
       58,   58,   58,   58,   58,   48,   50,   58,   58,    0,
       55,   60,    0,   54,   53,    0,   60,    0,   21,    0,
       32,    0,   33,    0,   34,    0,   29,    0,   30,    0,
       31,   60,   60,   60,   60,   60,   60,   60,   60,   60,
       60,   60,   55,   58,   54,   58,   58,   58,   58,   58,
       58,   58,   58,   58,   58,   58,   58,   55,    0,   54,

       54,    0,   60,   60,   60,   60,   60,   60,    0,    8,
       60,   41,   60,   60,   60,   54,   58,   58,   58,   58,
       58,   58,   58,   41,   58,   58,   58,   54,    0,    0,
       20,   60,   60,   60,   60,    0,    5,   42,   60,    0,
        2,   60,    0,    1,   60,   58,   58,   58,   58,   42,
       58,   58,   58,    0,   60,   60,   60,   60,   60,   60,
        0,    7,   58,   58,   58,   58,   58,   58,    0,   60,
       60,   60,   60,   60,    0,   58,   58,   58,   58,   58,
        0,   60,   60,   60,    0,    3,    0,    4,    0,   58,
       58,   58,   47,   60,    0,    0,   60,    0,    0,   58,

       58,    0,    6,   43,    0,    0,   35,   36,   37,   60,
        0,    0,   43,   58,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,   38,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,   46,    0,    0,   39,    0,    0,    0,    0,   45,
       44,    0,    0,    0,   38,    0
    } ;

static const YY_CHAR yy_ec[128] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    2,    1,    4,    5,    1,    1,    1,    1,    6,
        6,    7,    8,    9,    8,   10,   11,   12,   12,   12,
       12,   12,   12,   12,   12,   12,   12,    1,    1,    1,
       13,    1,    1,    1,   14,   15,   16,   17,   18,   19,
       20,   21,   22,   23,   24,   25,   26,   27,   28,   29,
       15,   30,   15,   31,   32,   15,   15,   33,   34,   35,
        6,    1,    6,    1,   15,    1,   36,   37,   38,   39,

       40,   41,   20,   21,   42,   23,   24,   43,   44,   45,
       46,   47,   15,   48,   49,   50,   51,   52,   15,   33,
       34,   35,    1,    1,    1,    1,    1
    } ;

static const YY_CHAR yy_meta[53] =
    {   0,
        1,    2,    3,    4,    5,    5,    5,    5,    5,    1,
        5,    1,    3,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1
    } ;

static const short int yy_base[466] =
    {   0,
        0,   52,  660,    0, 2224, 2224,  651,  640, 2224,  625,
      628,   95,  107,  113,  126,  139,  143,  174,  156,  178,
      214,  193,  249,  130,  209,  227,  232,  220,  239,  255,
      242,  257,  164,  272,  276,  280,  323,  295,    0,  158,
      627,  618,  277,  332,  336,  350,  365,  369,  400,  382,
      404,  440,  419,  475,  391,  435,  453,  458,  446,  355,
      481,  465,  468,  483,  499,  494,  502,  549,  520,    0,
      619, 2224,  619, 2224,   94, 2224,  107,  528,  110,  165,
      472, 2224,  180,  406, 2224,  556,  562,  576,  558, 2224,
      591,  604,  608,  600, 2224,  591,  626,  631,  644,  648,

      631,  666,  670,  683,  679, 2224,  687,  700,  704,  696,
     2224,  709, 2224,  713, 2224,  697,  706,  717,  726,  700,
      735,  741,  745,  752,  760,  767,  775,  783,    0,  146,
      219,  615,  234,  604, 2224,  268,  329,  801,  178,  794,
      820,  833,  837,  850,  854,  867,  850,  885,  889,  902,
      906,  889,  924,  928,  941,  945,  958,  962,  945,  948,
      841,  952,  967,  971,  977,  987,  995,  998, 1002, 1017,
     1021,  181,  555,  231,  588,  587,  554,  937, 2224, 1046,
     2224, 1055, 2224, 1058, 2224, 1060, 2224, 1063, 2224, 1049,
     1072, 2224, 1077, 2224, 1086, 2224, 1089, 2224, 1103, 1105,

     1108, 1112, 1117, 1125, 1119, 1129, 1134, 1141, 1145, 1160,
     1172, 1157, 1168, 1174, 1178, 1196, 1199, 1203, 1214, 1221,
     1224, 1239, 1244, 1247, 1250, 1254,  592, 2224,  259,  630,
      342,  578, 1265, 1294, 1280, 1285, 1288, 1303, 1306, 1309,
     1313, 1324, 1331, 1334, 1349, 1354, 1357, 1360, 1364,  576,
      575,  365,  569,  568,  564,  534, 1386, 1399, 2224, 1402,
     2224, 1411, 2224, 1414, 2224, 1422, 2224, 1426, 2224, 1429,
     2224, 1435, 1453, 1375, 1460, 1463, 1434, 1471, 1478, 1481,
     1488, 1496,  537,  379,  536, 1504, 1499, 1520, 1526, 1529,
     1544, 1570, 1554, 1560, 1564, 1570, 1579,  527,  518,  510,

      501,  468, 1614, 1587, 1597, 1604, 1607, 1647, 1631, 2224,
     1630, 1665, 1648, 1684, 1656,  485, 1697, 1680, 1683, 1687,
     1690, 1729, 1713, 1748, 1719, 1761, 1735,  483,  450, 1763,
     2224, 1746, 1752, 1756, 1762, 1796, 2224, 1767, 1771, 1808,
     2224, 1793, 1816, 2224, 1821, 1809, 1817, 1820, 1828, 1837,
     1846, 1852, 1887,  442, 1870, 1873, 1880, 1888, 1895, 1923,
     1862, 2224, 1906, 1911, 1921, 1926, 1930, 1966,  422, 1949,
     1953, 1956, 1994, 1998,  425, 1981, 1984, 1988, 2029, 2033,
      409, 2016, 2051, 2023, 2057, 2224, 2065, 2224,  383, 2041,
     2070, 2060, 2224, 2086, 2100, 2082, 2085,  368,  366, 2120,

     2093, 2134, 2224, 2110, 2146,  507, 2224, 2224, 2224, 2149,
      365,  343, 2120, 2155,  107,  231,  613,  308,  300,  190,
      265,  294,  292,  285,  277,  281,  283,  248,  238,  318,
      335,  230,  214,  168,  346,  357,  153,  159,  129,  406,
       89, 2224,  121,  108, 2224,  414,   89,   85,  181, 2224,
     2224,  414,  433,  414, 2224, 2224,  123, 2193, 2198, 2203,
      120, 2206, 2210, 2215, 2218
    } ;

static const short int yy_def[466] =
    {   0,
      456,  456,  456,  457,  456,  456,  458,  459,  456,  457,
      456,  457,  460,  460,  460,  460,  460,  460,  460,  460,
      460,  460,  460,   23,  460,  460,  460,   23,   23,  460,
       23,   23,   23,   23,   23,   23,   23,   23,  461,  462,
      463,  461,  461,  464,  464,  464,  464,  464,  464,  464,
      464,  464,  464,  464,   54,  464,  464,  464,   54,   54,
      464,   54,   54,   54,   54,   54,   54,   54,   54,  457,
      458,  456,  459,  456,  457,  456,  457,  457,  457,  456,
       23,  456,  456,  456,  456,  460,  460,  460,  456,  456,
      460,  460,  460,  456,  456,   23,  460,  460,  460,  460,

       23,  460,  460,  460,  456,  456,  460,  460,  460,  456,
      456,  456,  456,  456,  456,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,   23,   23,  461,  462,
      462,  465,  462,  463,  456,  461,  461,  461,  461,   54,
      464,  464,  464,  464,  464,  464,   54,  464,  464,  464,
      464,   54,  464,  464,  464,  464,  464,  464,   54,   54,
       54,   54,   54,   54,   54,   54,   54,   54,   54,   54,
       54,  457,  457,  457,  456,  457,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,   23,
      456,  456,  456,  456,  456,  456,  456,  456,  460,  456,

      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,   23,   23,   23,   23,   23,   23,   23,   23,   23,
       23,   23,   23,   23,   23,   23,  465,  456,  461,  461,
      461,  461,   54,  464,   54,   54,   54,   54,   54,   54,
       54,   54,   54,   54,   54,   54,   54,   54,   54,  456,
      457,  457,  456,  457,  456,  456,   23,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,   23,   23,   23,   23,   23,  460,   23,   23,   23,
       23,   23,  461,  461,  461,   54,   54,   54,   54,   54,
       54,  464,   54,   54,   54,   54,   54,  456,  456,  457,

      456,  456,  460,   23,   23,   23,   23,  460,  456,  456,
       23,  460,   23,  460,   23,  461,  464,   54,   54,   54,
       54,  464,   54,  464,   54,  464,   54,  456,  456,  456,
      456,   23,   23,   23,   23,  456,  456,   23,   23,  456,
      456,   23,  456,  456,  460,   54,   54,   54,   54,   54,
       54,   54,  464,  456,   23,   23,   23,   23,   23,  460,
      456,  456,   54,   54,   54,   54,   54,  464,  456,   23,
       23,   23,  460,  460,  456,   54,   54,   54,  464,  464,
      456,   23,  460,   23,  456,  456,  456,  456,  456,   54,
      464,   54,  456,  460,  456,  456,   23,  456,  456,  464,

       54,  456,  456,   23,  456,  456,  456,  456,  456,  460,
      456,  456,   54,  464,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,    0,  456,  456,  456,  456,
      456,  456,  456,  456,  456
    } ;

static const short int yy_nxt[2277] =
    {   0,
        4,    5,    6,    7,    8,    9,    9,    9,    5,   10,
       11,   12,    9,   13,   14,   14,   14,   15,   16,   17,
       14,   18,   19,   20,   14,   21,   22,   14,   14,   23,
       24,   14,   25,   26,   27,   13,   14,   28,   29,   30,
       31,   18,   32,   33,   34,   14,   35,   23,   36,   37,
       14,   38,   39,   40,    6,   41,    8,    9,    9,    9,
        5,   42,   11,   43,    9,   44,   45,   45,   45,   46,
       47,   48,   45,   49,   50,   51,   45,   52,   53,   45,
       45,   54,   55,   45,   56,   57,   58,   44,   45,   59,
       60,   61,   62,   49,   63,   64,   65,   45,   66,   54,

       67,   68,   45,   69,   77,   75,   78,   70,   80,   80,
      446,  172,   79,   70,   83,   83,   70,  175,  173,   82,
      129,  176,   70,   70,  174,  456,   70,   84,   84,  451,
      446,  105,  105,  172,   79,   70,  420,  450,   85,   70,
       83,   83,  106,   70,   89,   89,  174,  456,   70,  456,
       81,  456,   70,  448,  420,   90,   70,   94,   94,  131,
      447,  132,  107,  108,  109,   70,   80,   80,   95,  133,
      444,   86,   87,   88,   70,   83,   83,   82,   70,   83,
       83,   83,   83,   70,   81,  175,  456,   70,  250,  232,
      456,   96,  251,   70,   83,   83,   97,   98,   99,  122,

      443,  442,   70,  425,  177,  456,   91,   92,   93,   70,
      110,  110,  452,   96,   70,   83,   83,  439,   70,  177,
      131,  111,  132,   70,  100,  425,  456,   70,  112,  112,
      133,  452,   70,  114,  114,  456,   70,  456,  253,  113,
       81,   70,  254,  100,  115,  133,   97,   98,   99,   70,
       83,   83,   81,   81,   81,   70,   84,   84,   70,   81,
      421,  456,   81,  438,   70,  116,  250,   85,  437,  101,
      283,   81,   81,   81,   86,   87,   88,   81,  421,  136,
      117,  102,  103,  104,  434,  229,  137,  120,  138,   81,
       81,   81,   81,  426,  139,  433,   81,  118,  431,  119,

       81,  430,  121,  100,   81,   81,   81,  229,   81,   81,
       81,  426,   81,   81,   81,   81,  139,  123,  432,  430,
      431,  125,  100,  124,  105,  105,  429,   81,   81,   81,
      128,  428,  129,   80,   80,  106,  129,   83,   83,  427,
      230,  129,  435,   81,   82,  129,  231,  424,  456,  253,
      129,   84,   84,  285,  423,  107,  108,  109,  126,  129,
      435,  436,   85,  440,  127,  129,   83,   83,  231,  129,
       89,   89,  299,  441,  129,  140,  300,  456,  129,  436,
      419,   90,  129,   94,   94,  440,  299,  140,  140,  140,
      316,  129,  105,  105,   95,  441,  160,  141,  142,  143,

      129,   83,   83,  106,  129,   83,   83,   84,   84,  129,
      418,  140,  456,  129,  412,  411,  456,  147,   85,  129,
       83,   83,  399,  156,  157,  158,  375,  375,  129,  449,
      445,  456,  144,  145,  146,  129,  110,  110,  453,  147,
      129,   83,   83,  455,  129,  177,  454,  111,  445,  129,
      151,  449,  456,  129,  112,  112,  453,  393,  129,  114,
      114,  455,  129,  389,  177,  113,  140,  129,  454,  151,
      115,  381,  148,  149,  150,  129,   83,   83,  140,  140,
      140,  129,   84,   84,  129,  140,  369,  456,  140,  354,
      129,  159,   81,   85,  328,  152,  316,  141,  142,  143,

      140,  140,  140,  140,   81,   81,   81,  153,  154,  155,
      163,  329,  301,  164,  140,  148,  149,  150,  165,  140,
      415,  300,  140,  161,  416,  162,  140,  140,  140,  328,
      151,  140,  140,  140,  140,  140,  140,   77,  298,   78,
      140,  167,  415,  168,  166,   79,  416,  285,  283,  151,
      105,  105,  140,  140,  140,  171,   70,  178,  178,   89,
       89,  106,   70,  180,  180,   70,  173,   79,  179,  140,
       90,   70,  252,  302,  181,  255,   70,  182,  182,  254,
      301,  156,  157,  158,  169,   70,  251,  298,  183,  232,
      170,   70,  184,  184,  252,  228,  256,  177,  176,  255,

       70,   94,   94,  185,   70,  186,  186,  135,   70,  188,
      188,   81,   95,   70,  417,  417,  187,   70,  228,  190,
      189,   74,   72,   81,   81,   81,   70,  191,  191,  136,
      135,   70,  193,  193,   76,   70,   75,  190,  192,  177,
       70,  230,   74,  194,   70,  195,  195,  284,   70,  197,
      197,   81,  177,   70,   72,  422,  196,   70,  199,  456,
      198,  456,  456,   81,   81,   81,   70,  200,  200,  284,
       70,  202,  202,  456,  456,   70,  199,  456,  201,   70,
      105,  105,  203,   70,  204,  204,  456,   70,  206,  206,
      456,  106,   70,  456,  456,  205,   70,  110,  110,  207,

       70,  208,  208,  456,   70,  210,  210,  456,  111,   70,
      112,  112,  209,   70,  114,  114,  211,   81,  177,  456,
       81,  113,  456,  456,  456,  115,   81,  456,  456,   81,
       81,   81,   81,   81,   81,  177,  456,   81,   81,   81,
       81,  212,  456,  456,  456,  213,   81,  218,  177,   81,
       81,   81,  177,  214,  215,   81,  216,  456,   81,   81,
       81,   81,  456,  456,  217,   81,  456,   81,   81,   81,
      219,  456,   81,   81,   81,   81,  456,   81,   81,   81,
       81,  456,  456,  221,   81,   81,   81,   81,  456,  456,
      220,  456,   81,   81,   81,   81,  456,  222,  456,   81,

       81,   81,  456,   81,  223,  456,  456,   81,   81,   81,
      137,  224,  138,  456,  140,   81,   81,   81,  139,  456,
      129,  178,  178,  456,  225,  226,  140,  140,  140,  129,
      456,  456,  179,  129,  180,  180,  456,  129,  182,  182,
      139,  456,  129,  456,  456,  181,  129,  456,  456,  183,
      129,  184,  184,  456,  129,  186,  186,  456,  456,  129,
      456,  140,  185,  129,  456,  456,  187,  129,  188,  188,
      140,  456,  456,  140,  140,  140,  129,  456,  233,  189,
      239,  456,  140,  140,  140,  129,  191,  191,  456,  129,
      193,  193,  456,  456,  129,  456,  233,  192,  129,  456,

      456,  194,  129,  195,  195,  456,  129,  197,  197,  140,
      456,  129,  456,  456,  196,  129,  234,  456,  198,  456,
      456,  140,  140,  140,  129,  200,  200,  456,  129,  202,
      202,  456,  456,  129,  234,  456,  201,  129,  178,  178,
      203,  129,  204,  204,  456,  129,  206,  206,  456,  179,
      129,  456,  456,  205,  129,  456,  456,  207,  129,  208,
      208,  456,  129,  210,  210,  140,  456,  129,  140,  456,
      209,  129,  140,  456,  211,  456,  177,  140,  140,  140,
      140,  140,  140,  456,  140,  140,  140,  140,  456,  235,
      240,  140,  456,  236,  456,  237,  238,  140,  456,  140,

      140,  140,  456,  140,  140,  140,  242,  140,  456,  140,
      140,  140,  456,  456,  241,  140,  456,  456,  140,  140,
      140,  140,  140,  456,  456,  244,  243,  140,  140,  140,
      140,  140,  140,  456,  140,  140,  140,  140,  456,  456,
      245,  140,  246,  456,  456,  456,  247,  180,  180,  140,
      140,  140,  456,  140,  140,  140,  182,  182,  181,  184,
      184,  186,  186,  249,  188,  188,  248,  183,  456,   81,
      185,  456,  187,  191,  191,  189,  456,  257,  193,  193,
      456,   81,   81,   81,  192,  177,  456,  195,  195,  194,
      197,  197,  456,  456,  177,  257,  456,  177,  196,  177,

      456,  198,  177,   70,  258,  258,  200,  200,  456,  260,
      260,  177,   70,  202,  202,  259,  177,  201,  262,  262,
      264,  264,  456,  261,  203,  177,  204,  204,  177,  456,
      206,  206,  263,  456,  265,  266,  266,  205,  456,  261,
      456,  207,  208,  208,  177,  261,  268,  268,  263,  267,
      265,  177,  456,  209,  263,  456,  265,  456,  261,  456,
      269,  210,  210,  456,  177,  267,  456,  263,  177,  265,
      456,  267,  211,  270,  270,  456,  269,   81,  456,  456,
      177,  456,  269,  456,  267,  456,  456,  271,   81,   81,
       81,   81,  456,  456,   81,  269,  456,  456,   81,  177,

       81,   81,   81,  271,  456,  272,   81,   81,   81,  271,
       81,   81,   81,  273,  456,  456,   81,  456,  456,   81,
      456,  456,  271,   81,  456,  456,  456,  274,   81,   81,
       81,   81,   81,   81,   81,   81,   81,   81,  456,  275,
      276,   81,  456,  456,   81,  456,   81,   81,   81,  456,
      456,  456,  277,   81,   81,   81,   81,   81,   81,   81,
      278,  456,  456,  279,   81,  456,  456,   81,  456,  456,
       81,   81,   81,   81,   81,  280,   81,   81,   81,   81,
       81,   81,   81,   81,   81,  140,   81,   81,   81,  456,
      456,  456,  281,  286,  129,  258,  258,  140,  140,  140,

      140,  456,  456,  129,  282,  140,  259,  456,  140,  456,
      456,  286,  140,  140,  140,  456,  456,  140,  140,  140,
      140,  140,  140,  140,  456,  456,  140,  288,  287,  140,
      456,  456,  456,  140,  456,  140,  140,  140,  140,  140,
      140,  140,  140,  140,  140,  140,  140,  140,  456,  290,
      291,  140,  289,  456,  140,  456,  140,  140,  140,  456,
      456,  456,  292,  140,  140,  140,  140,  140,  140,  140,
      293,  456,  456,  294,  140,  456,  456,  140,  456,  456,
      140,  140,  140,  140,  140,  295,  140,  140,  140,  140,
      140,  140,  140,  140,  140,   81,  140,  140,  140,  303,

      258,  258,  296,  260,  260,  456,   81,   81,   81,   81,
      456,  259,  262,  262,  297,  264,  264,  261,   81,   81,
       81,  303,  306,  266,  266,  456,  263,  268,  268,  265,
      270,  270,  456,  261,   70,  309,  309,  267,  177,  261,
      456,  269,  263,   70,  271,  265,  310,  456,  263,  456,
      456,  265,  261,  267,  456,   81,  456,  269,  456,  267,
      271,  263,  456,  269,  265,  456,  271,   81,   81,   81,
      456,  456,  267,   81,  456,  456,  269,  456,  456,  271,
       81,  456,  456,   81,  304,   81,   81,   81,  456,  456,
      305,   81,   81,   81,   81,   81,   81,   81,   81,  307,

      456,   81,  308,   81,   81,   81,  456,  456,   81,  456,
       81,   81,   81,   81,   81,   81,   81,  317,  311,  140,
       81,   81,   81,  313,  140,  456,  312,  314,   81,   81,
       81,  140,  140,  140,  456,  315,  140,  140,  140,  317,
      140,  456,  456,  456,  456,  456,  140,  456,  318,  140,
      456,  456,  140,  140,  140,  456,  456,  319,  140,  140,
      140,  140,  140,  140,  140,  456,  456,  456,  321,  456,
      129,  309,  309,  320,  140,  456,  140,  140,  140,  129,
      140,  456,  310,  322,  140,  456,  140,  140,  140,  456,
      140,  456,  140,  140,  140,  456,  140,  140,  140,  140,

      456,  323,  140,  140,  140,  456,  325,   81,  324,  326,
      456,  140,  140,  140,   70,  330,  330,   81,  327,   81,
       81,   81,  456,   70,   81,  456,  331,   81,  456,   81,
       81,   81,  309,  309,  332,  456,   81,   81,   81,   81,
       81,   81,  456,  310,  456,  334,  333,   70,  336,  336,
       81,  335,  456,  456,  456,  456,   70,  456,  456,  337,
      456,  456,   81,   81,   81,   70,  340,  340,   81,  456,
      177,  339,  456,  456,   70,  456,   81,  341,  456,  456,
       81,   81,   81,  456,   70,  343,  343,  342,   81,   81,
       81,  456,  456,   70,  456,  338,  344,  129,  330,  330,

      140,  456,  456,  140,  345,  456,  129,  140,  456,  331,
      140,  456,  140,  140,  140,  140,  140,  140,  456,  140,
      140,  140,  140,  140,  140,  456,  456,  346,  348,  129,
      336,  336,  347,  140,  349,  456,  456,  456,  129,  140,
      456,  337,  456,  456,  456,  140,  140,  140,  129,  340,
      340,  140,  140,  140,  351,  140,  456,  129,  352,  456,
      341,  129,  343,  343,  330,  330,   81,  140,  140,  140,
      129,  456,   81,  344,  456,  331,   81,  350,   81,   81,
       81,  355,   81,  353,   81,   81,   81,   81,   81,   81,
       81,   81,  357,  356,   81,   81,   81,  336,  336,   81,

       81,   81,  177,   81,   81,   81,  359,  456,  337,  340,
      340,  358,  456,   81,  456,  456,  456,  343,  343,  456,
      341,   70,  361,  361,  456,   81,   81,   81,  344,  140,
       70,  456,  456,  362,  456,  177,  360,  140,  456,  456,
      140,  140,  140,  140,  363,  456,  456,  177,  140,  140,
      140,  140,  140,  140,  140,  177,  365,  140,  364,  456,
      140,  140,  140,  361,  361,  456,  140,  456,  456,  140,
      140,  140,  140,  456,  362,  456,  456,  366,  140,  140,
      140,  367,  456,  456,  140,  140,  140,  129,  361,  361,
       81,  456,  456,   81,  456,  368,  129,  456,  456,  362,

       81,  177,   81,   81,   81,   81,   81,   81,   81,  456,
      456,  370,   81,   81,   81,   81,  456,  456,  371,  456,
       81,   81,   81,   70,  375,  375,  140,   81,   81,   81,
      372,  140,   70,  456,  456,  456,  373,  374,  140,  140,
      140,  140,  456,  140,  140,  140,  140,  376,  456,  456,
      140,  456,  456,  140,  140,  140,  377,  456,  140,  140,
      140,  456,  140,  140,  140,  456,  129,  375,  375,   81,
      456,  378,  380,   81,  379,  129,   81,  456,  456,  456,
      456,   81,   81,   81,  456,   81,   81,   81,   81,   81,
       81,  456,  456,  382,   70,  385,  385,  383,   70,  387,

      387,  140,  456,   70,  140,  384,  386,   70,  140,  456,
      388,  456,  456,  140,  140,  140,  140,  140,  140,  456,
      140,  140,  140,  456,  456,  390,  456,  456,  391,  129,
      385,  385,  456,  129,  387,  387,   81,  392,  129,  456,
      456,  386,  129,   81,  456,  388,  456,  456,   81,   81,
       81,   70,  395,  395,  456,   81,   81,   81,  385,  385,
       70,  140,  397,  396,  456,  394,  387,  387,  456,  386,
      129,  395,  395,  140,  140,  140,  456,  388,  456,  129,
      140,  456,  396,  405,  405,  456,   70,  402,  402,  456,
      400,  456,  140,  140,  140,   70,  177,  456,  403,  401,

      456,  395,  395,  456,  177,   81,  456,  456,  456,  456,
      406,  398,  396,  140,  407,  408,  409,   81,   81,   81,
      129,  402,  402,  410,  456,  140,  140,  140,  406,  129,
       81,  414,  403,  456,  404,  402,  402,  456,  456,  177,
      140,  456,   81,   81,   81,  456,  403,  405,  405,   70,
      417,  417,  140,  140,  140,  129,  417,  417,   70,  456,
      456,  456,  456,  456,  129,  456,  456,  456,  413,  456,
      456,  456,  456,  177,  406,  456,  456,  456,  407,  408,
      409,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  406,   71,   71,   71,   71,   71,   73,   73,

       73,   73,   73,   81,   81,   81,  130,  130,  456,  130,
      134,  134,  134,  134,  134,  140,  140,  140,  227,  227,
      227,  227,  227,    3,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456
    } ;

static const short int yy_chk[2277] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
        2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

        2,    2,    2,    2,   12,   75,   12,   13,   13,   13,
      441,   75,   12,   14,   14,   14,   13,   79,   77,   13,
      461,   79,   14,  457,   77,   14,   15,   15,   15,  448,
      441,   24,   24,   75,   12,   15,  415,  447,   15,   16,
       16,   16,   24,   17,   17,   17,   77,  130,   16,  130,
       24,   16,   17,  444,  415,   17,   19,   19,   19,   40,
      443,   40,   24,   24,   24,   19,   80,   80,   19,   40,
      439,   16,   16,   16,   18,   18,   18,   80,   20,   20,
       20,   83,   83,   18,   33,  139,   18,   20,  172,  139,
       20,   20,  172,   22,   22,   22,   33,   33,   33,   33,

      438,  437,   22,  420,   80,   22,   18,   18,   18,   25,
       25,   25,  449,   20,   21,   21,   21,  434,   25,   83,
      131,   25,  131,   21,   22,  420,   21,   26,   26,   26,
      131,  449,   27,   27,   27,  133,   26,  133,  174,   26,
       28,   27,  174,   22,   27,  133,   21,   21,   21,   23,
       23,   23,   28,   28,   28,   30,   30,   30,   23,   29,
      416,   23,   31,  433,   30,   28,  229,   30,  432,   23,
      229,   29,   29,   29,   31,   31,   31,   32,  416,  136,
       29,   23,   23,   23,  429,  136,   43,   31,   43,   32,
       32,   32,   34,  421,   43,  428,   35,   30,  426,   30,

       36,  425,   32,   34,   34,   34,   34,  136,   35,   35,
       35,  421,   36,   36,   36,   38,   43,   34,  427,  425,
      426,   36,   34,   35,   37,   37,  424,   38,   38,   38,
       38,  423,   44,   44,   44,   37,   45,   45,   45,  422,
      137,   44,  430,   37,   44,   45,  137,  419,   45,  231,
       46,   46,   46,  231,  418,   37,   37,   37,   37,   46,
      430,  431,   46,  435,   37,   47,   47,   47,  137,   48,
       48,   48,  252,  436,   47,   60,  252,   47,   48,  431,
      412,   48,   50,   50,   50,  435,  284,   60,   60,   60,
      284,   50,   55,   55,   50,  436,   60,   47,   47,   47,

       49,   49,   49,   55,   51,   51,   51,   84,   84,   49,
      411,   55,   49,   51,  399,  398,   51,   51,   84,   53,
       53,   53,  389,   55,   55,   55,  375,  375,   53,  446,
      440,   53,   49,   49,   49,   56,   56,   56,  452,   51,
       52,   52,   52,  454,   56,   84,  453,   56,  440,   52,
       53,  446,   52,   57,   57,   57,  452,  381,   58,   58,
       58,  454,   57,  375,  375,   57,   59,   58,  453,   53,
       58,  369,   52,   52,   52,   54,   54,   54,   59,   59,
       59,   61,   61,   61,   54,   62,  354,   54,   63,  329,
       61,   59,   81,   61,  328,   54,  316,   62,   62,   62,

       63,   63,   63,   64,   81,   81,   81,   54,   54,   54,
       62,  302,  301,   63,   66,   64,   64,   64,   64,   65,
      406,  300,   67,   61,  406,   61,   66,   66,   66,  299,
       65,   65,   65,   65,   67,   67,   67,   78,  298,   78,
       69,   66,  406,   67,   65,   78,  406,  285,  283,   65,
       68,   68,   69,   69,   69,   69,   86,   86,   86,   89,
       89,   68,   87,   87,   87,   86,  173,   78,   86,   68,
       89,   87,  173,  256,   87,  255,   88,   88,   88,  254,
      253,   68,   68,   68,   68,   88,  251,  250,   88,  232,
       68,   91,   91,   91,  173,  227,  177,   89,  176,  175,

       91,   94,   94,   91,   92,   92,   92,  134,   93,   93,
       93,   96,   94,   92,  417,  417,   92,   93,  132,   96,
       93,   73,   71,   96,   96,   96,   97,   97,   97,   42,
       41,   98,   98,   98,   11,   97,   10,   96,   97,   94,
       98,  230,    8,   98,   99,   99,   99,  230,  100,  100,
      100,  101,  417,   99,    7,  417,   99,  100,  101,    3,
      100,    0,    0,  101,  101,  101,  102,  102,  102,  230,
      103,  103,  103,    0,    0,  102,  101,    0,  102,  103,
      105,  105,  103,  104,  104,  104,    0,  107,  107,  107,
        0,  105,  104,    0,    0,  104,  107,  110,  110,  107,

      108,  108,  108,    0,  109,  109,  109,    0,  110,  108,
      112,  112,  108,  109,  114,  114,  109,  116,  105,    0,
      120,  112,    0,    0,    0,  114,  117,    0,    0,  116,
      116,  116,  120,  120,  120,  110,    0,  118,  117,  117,
      117,  116,    0,    0,    0,  116,  119,  120,  112,  118,
      118,  118,  114,  117,  117,  121,  118,    0,  119,  119,
      119,  122,    0,    0,  119,  123,    0,  121,  121,  121,
      121,    0,  124,  122,  122,  122,    0,  123,  123,  123,
      125,    0,    0,  123,  124,  124,  124,  126,    0,    0,
      122,    0,  125,  125,  125,  127,    0,  124,    0,  126,

      126,  126,    0,  128,  125,    0,    0,  127,  127,  127,
      138,  126,  138,    0,  140,  128,  128,  128,  138,    0,
      141,  141,  141,    0,  127,  128,  140,  140,  140,  141,
        0,    0,  141,  142,  142,  142,    0,  143,  143,  143,
      138,    0,  142,    0,    0,  142,  143,    0,    0,  143,
      144,  144,  144,    0,  145,  145,  145,    0,    0,  144,
        0,  161,  144,  145,    0,    0,  145,  146,  146,  146,
      147,    0,    0,  161,  161,  161,  146,    0,  147,  146,
      161,    0,  147,  147,  147,  148,  148,  148,    0,  149,
      149,  149,    0,    0,  148,    0,  147,  148,  149,    0,

        0,  149,  150,  150,  150,    0,  151,  151,  151,  152,
        0,  150,    0,    0,  150,  151,  152,    0,  151,    0,
        0,  152,  152,  152,  153,  153,  153,    0,  154,  154,
      154,    0,    0,  153,  152,    0,  153,  154,  178,  178,
      154,  155,  155,  155,    0,  156,  156,  156,    0,  178,
      155,    0,    0,  155,  156,    0,    0,  156,  157,  157,
      157,    0,  158,  158,  158,  159,    0,  157,  160,    0,
      157,  158,  162,    0,  158,    0,  178,  159,  159,  159,
      160,  160,  160,    0,  162,  162,  162,  163,    0,  159,
      162,  164,    0,  159,    0,  160,  160,  165,    0,  163,

      163,  163,    0,  164,  164,  164,  164,  166,    0,  165,
      165,  165,    0,    0,  163,  167,    0,    0,  168,  166,
      166,  166,  169,    0,    0,  166,  165,  167,  167,  167,
      168,  168,  168,    0,  169,  169,  169,  170,    0,    0,
      167,  171,  168,    0,    0,    0,  169,  180,  180,  170,
      170,  170,    0,  171,  171,  171,  182,  182,  180,  184,
      184,  186,  186,  171,  188,  188,  170,  182,    0,  190,
      184,    0,  186,  191,  191,  188,    0,  190,  193,  193,
        0,  190,  190,  190,  191,  180,    0,  195,  195,  193,
      197,  197,    0,    0,  182,  190,    0,  184,  195,  186,

        0,  197,  188,  199,  199,  199,  200,  200,    0,  201,
      201,  191,  199,  202,  202,  199,  193,  200,  203,  203,
      205,  205,    0,  201,  202,  195,  204,  204,  197,    0,
      206,  206,  203,    0,  205,  207,  207,  204,    0,  201,
        0,  206,  208,  208,  200,  201,  209,  209,  203,  207,
      205,  202,    0,  208,  203,    0,  205,    0,  201,    0,
      209,  210,  210,    0,  204,  207,    0,  203,  206,  205,
        0,  207,  210,  211,  211,    0,  209,  212,    0,    0,
      208,    0,  209,    0,  207,    0,    0,  211,  213,  212,
      212,  212,    0,    0,  214,  209,    0,    0,  215,  210,

      213,  213,  213,  211,    0,  212,  214,  214,  214,  211,
      215,  215,  215,  214,    0,    0,  216,    0,    0,  217,
        0,    0,  211,  218,    0,    0,    0,  215,  216,  216,
      216,  217,  217,  217,  219,  218,  218,  218,    0,  216,
      218,  220,    0,    0,  221,    0,  219,  219,  219,    0,
        0,    0,  219,  220,  220,  220,  221,  221,  221,  222,
      220,    0,    0,  221,  223,    0,    0,  224,    0,    0,
      225,  222,  222,  222,  226,  222,  223,  223,  223,  224,
      224,  224,  225,  225,  225,  233,  226,  226,  226,    0,
        0,    0,  225,  233,  234,  234,  234,  233,  233,  233,

      235,    0,    0,  234,  226,  236,  234,    0,  237,    0,
        0,  233,  235,  235,  235,    0,    0,  236,  236,  236,
      237,  237,  237,  238,    0,    0,  239,  237,  235,  240,
        0,    0,    0,  241,    0,  238,  238,  238,  239,  239,
      239,  240,  240,  240,  242,  241,  241,  241,    0,  239,
      241,  243,  238,    0,  244,    0,  242,  242,  242,    0,
        0,    0,  242,  243,  243,  243,  244,  244,  244,  245,
      243,    0,    0,  244,  246,    0,    0,  247,    0,    0,
      248,  245,  245,  245,  249,  245,  246,  246,  246,  247,
      247,  247,  248,  248,  248,  274,  249,  249,  249,  257,

      258,  258,  248,  260,  260,    0,  257,  274,  274,  274,
        0,  258,  262,  262,  249,  264,  264,  260,  257,  257,
      257,  257,  274,  266,  266,    0,  262,  268,  268,  264,
      270,  270,    0,  260,  277,  277,  277,  266,  258,  260,
        0,  268,  262,  277,  270,  264,  277,    0,  262,    0,
        0,  264,  260,  266,    0,  272,    0,  268,    0,  266,
      270,  262,    0,  268,  264,    0,  270,  272,  272,  272,
        0,    0,  266,  273,    0,    0,  268,    0,    0,  270,
      275,    0,    0,  276,  272,  273,  273,  273,    0,    0,
      273,  278,  275,  275,  275,  276,  276,  276,  279,  275,

        0,  280,  276,  278,  278,  278,    0,    0,  281,    0,
      279,  279,  279,  280,  280,  280,  282,  286,  278,  287,
      281,  281,  281,  280,  286,    0,  279,  281,  282,  282,
      282,  287,  287,  287,    0,  282,  286,  286,  286,  286,
      288,    0,    0,    0,    0,    0,  289,    0,  287,  290,
        0,    0,  288,  288,  288,    0,    0,  288,  289,  289,
      289,  290,  290,  290,  291,    0,    0,    0,  290,    0,
      292,  292,  292,  289,  293,    0,  291,  291,  291,  292,
      294,    0,  292,  291,  295,    0,  293,  293,  293,    0,
      296,    0,  294,  294,  294,    0,  295,  295,  295,  297,

        0,  293,  296,  296,  296,    0,  295,  304,  294,  296,
        0,  297,  297,  297,  303,  303,  303,  305,  297,  304,
      304,  304,    0,  303,  306,    0,  303,  307,    0,  305,
      305,  305,  309,  309,  304,    0,  306,  306,  306,  307,
      307,  307,    0,  309,    0,  306,  305,  308,  308,  308,
      311,  307,    0,    0,    0,    0,  308,    0,    0,  308,
        0,    0,  311,  311,  311,  312,  312,  312,  313,    0,
      309,  311,    0,    0,  312,    0,  315,  312,    0,    0,
      313,  313,  313,    0,  314,  314,  314,  313,  315,  315,
      315,    0,    0,  314,    0,  308,  314,  317,  317,  317,

      318,    0,    0,  319,  315,    0,  317,  320,    0,  317,
      321,    0,  318,  318,  318,  319,  319,  319,    0,  320,
      320,  320,  321,  321,  321,    0,    0,  318,  320,  322,
      322,  322,  319,  323,  321,    0,    0,    0,  322,  325,
        0,  322,    0,    0,    0,  323,  323,  323,  324,  324,
      324,  325,  325,  325,  323,  327,    0,  324,  325,    0,
      324,  326,  326,  326,  330,  330,  332,  327,  327,  327,
      326,    0,  333,  326,    0,  330,  334,  322,  332,  332,
      332,  332,  335,  327,  333,  333,  333,  338,  334,  334,
      334,  339,  334,  333,  335,  335,  335,  336,  336,  338,

      338,  338,  330,  339,  339,  339,  339,    0,  336,  340,
      340,  335,    0,  342,    0,    0,    0,  343,  343,    0,
      340,  345,  345,  345,    0,  342,  342,  342,  343,  346,
      345,    0,    0,  345,    0,  336,  342,  347,    0,    0,
      348,  346,  346,  346,  346,    0,    0,  340,  349,  347,
      347,  347,  348,  348,  348,  343,  348,  350,  347,    0,
      349,  349,  349,  361,  361,    0,  351,    0,    0,  350,
      350,  350,  352,    0,  361,    0,    0,  349,  351,  351,
      351,  351,    0,    0,  352,  352,  352,  353,  353,  353,
      355,    0,    0,  356,    0,  352,  353,    0,    0,  353,

      357,  361,  355,  355,  355,  356,  356,  356,  358,    0,
        0,  355,  357,  357,  357,  359,    0,    0,  356,    0,
      358,  358,  358,  360,  360,  360,  363,  359,  359,  359,
      357,  364,  360,    0,    0,  360,  358,  359,  363,  363,
      363,  365,    0,  364,  364,  364,  366,  363,    0,    0,
      367,    0,    0,  365,  365,  365,  364,    0,  366,  366,
      366,    0,  367,  367,  367,    0,  368,  368,  368,  370,
        0,  365,  367,  371,  366,  368,  372,    0,  368,    0,
        0,  370,  370,  370,    0,  371,  371,  371,  372,  372,
      372,    0,    0,  370,  373,  373,  373,  371,  374,  374,

      374,  376,    0,  373,  377,  372,  373,  374,  378,    0,
      374,    0,    0,  376,  376,  376,  377,  377,  377,    0,
      378,  378,  378,    0,    0,  376,    0,    0,  377,  379,
      379,  379,    0,  380,  380,  380,  382,  378,  379,    0,
        0,  379,  380,  384,    0,  380,    0,    0,  382,  382,
      382,  383,  383,  383,    0,  384,  384,  384,  385,  385,
      383,  390,  384,  383,    0,  382,  387,  387,    0,  385,
      391,  391,  391,  390,  390,  390,    0,  387,    0,  391,
      392,    0,  391,  396,  396,    0,  394,  394,  394,    0,
      390,    0,  392,  392,  392,  394,  385,    0,  394,  392,

        0,  395,  395,    0,  387,  397,    0,    0,    0,    0,
      396,  387,  395,  401,  396,  396,  396,  397,  397,  397,
      400,  400,  400,  397,    0,  401,  401,  401,  396,  400,
      404,  401,  400,    0,  394,  402,  402,    0,    0,  395,
      413,    0,  404,  404,  404,    0,  402,  405,  405,  410,
      410,  410,  413,  413,  413,  414,  414,  414,  410,    0,
        0,  410,    0,    0,  414,    0,    0,  414,  400,    0,
        0,    0,    0,  402,  405,    0,    0,    0,  405,  405,
      405,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,  405,  458,  458,  458,  458,  458,  459,  459,

      459,  459,  459,  460,  460,  460,  462,  462,    0,  462,
      463,  463,  463,  463,  463,  464,  464,  464,  465,  465,
      465,  465,  465,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  456
    } ;

static yy_state_type yy_last_accepting_state;
static YY_CHAR *yy_last_accepting_cpos;

/* the intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0

/* these variables are all declared out here so that section 3 code can
 * manipulate them
 */
/* points to current character in buffer */
static YY_CHAR *yy_c_buf_p = (YY_CHAR *) 0;
static int yy_init = 1;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

static yy_state_type yy_get_previous_state YY_PROTO(( void ));
static yy_state_type yy_try_NUL_trans YY_PROTO(( yy_state_type current_state ));
static int yy_get_next_buffer YY_PROTO(( void ));
static void yyunput YY_PROTO(( YY_CHAR c, YY_CHAR *buf_ptr ));
void yyrestart YY_PROTO(( FILE *input_file ));
void yy_switch_to_buffer YY_PROTO(( YY_BUFFER_STATE new_buffer ));
void yy_load_buffer_state YY_PROTO(( void ));
YY_BUFFER_STATE yy_create_buffer YY_PROTO(( FILE *file, int size ));
void yy_delete_buffer YY_PROTO(( YY_BUFFER_STATE b ));
void yy_init_buffer YY_PROTO(( YY_BUFFER_STATE b, FILE *file ));

#define yy_new_buffer yy_create_buffer

#ifdef __cplusplus
static int yyinput YY_PROTO(( void ));
#else
static int input YY_PROTO(( void ));
#endif

YY_DECL
    {
    register yy_state_type yy_current_state;
    register YY_CHAR *yy_cp, *yy_bp;
    register int yy_act;




    if ( yy_init )
	{
	YY_USER_INIT;

	if ( ! yy_start )
	    yy_start = 1;	/* first start state */

	if ( ! yyin )
	    yyin = stdin;

	if ( ! yyout )
	    yyout = stdout;

	if ( yy_current_buffer )
	    yy_init_buffer( yy_current_buffer, yyin );
	else
	    yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE );

	yy_load_buffer_state();

	yy_init = 0;
	}

    while ( 1 )		/* loops until end-of-file is reached */
	{
	yy_cp = yy_c_buf_p;

	/* support of yytext */
	*yy_cp = yy_hold_char;

	/* yy_bp points to the position in yy_ch_buf of the start of the
	 * current run.
	 */
	yy_bp = yy_cp;

	yy_current_state = yy_start;
	if ( yy_bp[-1] == '\n' )
	    ++yy_current_state;
yy_match:
	do
	    {
	    register YY_CHAR yy_c = yy_ec[*yy_cp];
	    if ( yy_accept[yy_current_state] )
		{
		yy_last_accepting_state = yy_current_state;
		yy_last_accepting_cpos = yy_cp;
		}
	    while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = yy_def[yy_current_state];
		if ( yy_current_state >= 457 )
		    yy_c = yy_meta[yy_c];
		}
	    yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	    ++yy_cp;
	    }
	while ( yy_current_state != 456 );
	yy_cp = yy_last_accepting_cpos;
	yy_current_state = yy_last_accepting_state;

yy_find_action:
	yy_act = yy_accept[yy_current_state];

	YY_DO_BEFORE_ACTION;
	YY_USER_ACTION;

do_action:	/* this label is used only to access EOF actions */


	switch ( yy_act )
	    {
	    case 0: /* must backtrack */
	    /* undo the effects of YY_DO_BEFORE_ACTION */
	    *yy_cp = yy_hold_char;
	    yy_cp = yy_last_accepting_cpos;
	    yy_current_state = yy_last_accepting_state;
	    goto yy_find_action;


/* Assignments */

case 1:
# line 75 "lexer.l"
{return TITLE_EQ;}
	YY_BREAK
case 2:
# line 76 "lexer.l"
{return NODES_EQ;}
	YY_BREAK
case 3:
# line 77 "lexer.l"
{return ELEMENTS_EQ;}
	YY_BREAK
case 4:
# line 78 "lexer.l"
{return MATERIAL_EQ;}
	YY_BREAK
case 5:
# line 79 "lexer.l"
{return FORCE_EQ;}
	YY_BREAK
case 6:
# line 80 "lexer.l"
{return CONSTRAINT_EQ;}
	YY_BREAK
case 7:
# line 81 "lexer.l"
{return VALUES_EQ;}
	YY_BREAK
case 8:
# line 82 "lexer.l"
{return LOAD_EQ;}
	YY_BREAK
case 9:
# line 83 "lexer.l"
{return X_EQ;}
	YY_BREAK
case 10:
# line 84 "lexer.l"
{return Y_EQ;}
	YY_BREAK
case 11:
# line 85 "lexer.l"
{return Z_EQ;}
	YY_BREAK
case 12:
# line 86 "lexer.l"
{return E_EQ;}
	YY_BREAK
case 13:
# line 87 "lexer.l"
{return IX_EQ;}
	YY_BREAK
case 14:
# line 88 "lexer.l"
{return IY_EQ;}
	YY_BREAK
case 15:
# line 89 "lexer.l"
{return IZ_EQ;}
	YY_BREAK
case 16:
# line 90 "lexer.l"
{return A_EQ;}
	YY_BREAK
case 17:
# line 91 "lexer.l"
{return J_EQ;}
	YY_BREAK
case 18:
# line 92 "lexer.l"
{return G_EQ;}
	YY_BREAK
case 19:
# line 93 "lexer.l"
{return T_EQ;}
	YY_BREAK
case 20:
# line 94 "lexer.l"
{return KAPPA_EQ;}
	YY_BREAK
case 21:
# line 95 "lexer.l"
{return RHO_EQ;}
	YY_BREAK
case 22:
# line 96 "lexer.l"
{return NU_EQ;}
	YY_BREAK
case 23:
# line 97 "lexer.l"
{return FX_EQ;}
	YY_BREAK
case 24:
# line 98 "lexer.l"
{return FY_EQ;}
	YY_BREAK
case 25:
# line 99 "lexer.l"
{return FZ_EQ;}
	YY_BREAK
case 26:
# line 100 "lexer.l"
{return MX_EQ;}
	YY_BREAK
case 27:
# line 101 "lexer.l"
{return MY_EQ;}
	YY_BREAK
case 28:
# line 102 "lexer.l"
{return MZ_EQ;}
	YY_BREAK
case 29:
# line 103 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return TX_EQ;}
	YY_BREAK
case 30:
# line 104 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return TY_EQ;}
	YY_BREAK
case 31:
# line 105 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return TZ_EQ;}
	YY_BREAK
case 32:
# line 106 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return RX_EQ;}
	YY_BREAK
case 33:
# line 107 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return RY_EQ;}
	YY_BREAK
case 34:
# line 108 "lexer.l"
{yylval.i = yytext [yyleng - 1]; return RZ_EQ;}
	YY_BREAK
case 35:
# line 109 "lexer.l"
{yylval.i = 'x'; return DIR_EQ;}
	YY_BREAK
case 36:
# line 110 "lexer.l"
{yylval.i = 'y'; return DIR_EQ;}
	YY_BREAK
case 37:
# line 111 "lexer.l"
{yylval.i = 'z'; return DIR_EQ;}
	YY_BREAK
case 38:
# line 112 "lexer.l"
{yylval.i = 'p'; return DIR_EQ;}
	YY_BREAK
case 39:
# line 113 "lexer.l"
{yylval.i = '|'; return DIR_EQ;}
	YY_BREAK

/* Keywords */

case 40:
# line 120 "lexer.l"
{return END;}
	YY_BREAK
case 41:
# line 121 "lexer.l"
{return NODES;}
	YY_BREAK
case 42:
# line 122 "lexer.l"
{return FORCES;}
	YY_BREAK
case 43:
# line 123 "lexer.l"
{return CONSTRAINTS;}
	YY_BREAK
case 44:
# line 124 "lexer.l"
{return PROBLEM;}
	YY_BREAK
case 45:
# line 125 "lexer.l"
{return MATERIALS;}
	YY_BREAK
case 46:
# line 126 "lexer.l"
{return DISTRIBUTED;}
	YY_BREAK
case 47:
# line 127 "lexer.l"
{yylval.s = strdup (yytext); return ELEMENTS;}
	YY_BREAK

/* Functions */

case 48:
# line 134 "lexer.l"
{return SIN;}
	YY_BREAK
case 49:
# line 135 "lexer.l"
{return COS;}
	YY_BREAK
case 50:
# line 136 "lexer.l"
{return TAN;}
	YY_BREAK

/* Numbers */

case 51:
# line 143 "lexer.l"
{yylval.i = atoi (yytext); return BOLINTEGER;}
	YY_BREAK
case 52:
# line 144 "lexer.l"
{yylval.i = atoi (yytext); return INTEGER;}
	YY_BREAK
case 53:
# line 145 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK
case 54:
# line 146 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK
case 55:
# line 147 "lexer.l"
{yylval.d = atof (yytext); return DOUBLE;}
	YY_BREAK

/* Comments or remaining preprocessor lines */

case 56:
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */
yy_c_buf_p = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
# line 154 "lexer.l"
{}
	YY_BREAK
case 57:
# line 155 "lexer.l"
{char c;
			 	 while (1) {
				    while ((c = input ( )) != '*' && c > 0);
				    if (c <= 0 || (c = input ( )) == '/')
					break;
				    unput (c);
				 }}
	YY_BREAK

/* Strings and single characters */

case 58:
# line 168 "lexer.l"
{yylval.s = strdup (yytext); return BOLSTRING;}
	YY_BREAK
case 59:
# line 169 "lexer.l"
{yylval.s = strdup (yytext + 1);
				 yylval.s [yyleng - 2] = 0; return BOLSTRING;}
	YY_BREAK
case 60:
# line 172 "lexer.l"
{yylval.s = strdup (yytext); return STRING;}
	YY_BREAK
case 61:
# line 173 "lexer.l"
{yylval.s = strdup (yytext + 1);
				 yylval.s [yyleng - 2] = 0; return STRING;}
	YY_BREAK
case 62:
# line 176 "lexer.l"
{}
	YY_BREAK
case 63:
# line 177 "lexer.l"
{return *yytext;}
	YY_BREAK
case 64:
# line 178 "lexer.l"
{problem.line ++;}
	YY_BREAK
case 65:
# line 179 "lexer.l"
ECHO;
	YY_BREAK
case YY_STATE_EOF(INITIAL):
    yyterminate();

	    case YY_END_OF_BUFFER:
		{
		/* amount of text matched not including the EOB char */
		int yy_amount_of_matched_text = yy_cp - yytext - 1;

		/* undo the effects of YY_DO_BEFORE_ACTION */
		*yy_cp = yy_hold_char;

		/* note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the end-
		 * of-buffer state).  Contrast this with the test in yyinput().
		 */
		if ( yy_c_buf_p <= &yy_current_buffer->yy_ch_buf[yy_n_chars] )
		    /* this was really a NUL */
		    {
		    yy_state_type yy_next_state;

		    yy_c_buf_p = yytext + yy_amount_of_matched_text;

		    yy_current_state = yy_get_previous_state();

		    /* okay, we're now positioned to make the
		     * NUL transition.  We couldn't have
		     * yy_get_previous_state() go ahead and do it
		     * for us because it doesn't know how to deal
		     * with the possibility of jamming (and we
		     * don't want to build jamming into it because
		     * then it will run more slowly)
		     */

		    yy_next_state = yy_try_NUL_trans( yy_current_state );

		    yy_bp = yytext + YY_MORE_ADJ;

		    if ( yy_next_state )
			{
			/* consume the NUL */
			yy_cp = ++yy_c_buf_p;
			yy_current_state = yy_next_state;
			goto yy_match;
			}

		    else
			{
			    yy_cp = yy_last_accepting_cpos;
			    yy_current_state = yy_last_accepting_state;
			goto yy_find_action;
			}
		    }

		else switch ( yy_get_next_buffer() )
		    {
		    case EOB_ACT_END_OF_FILE:
			{
			yy_did_buffer_switch_on_eof = 0;

			if ( yywrap() )
			    {
			    /* note: because we've taken care in
			     * yy_get_next_buffer() to have set up yytext,
			     * we can now set up yy_c_buf_p so that if some
			     * total hoser (like flex itself) wants
			     * to call the scanner after we return the
			     * YY_NULL, it'll still work - another YY_NULL
			     * will get returned.
			     */
			    yy_c_buf_p = yytext + YY_MORE_ADJ;

			    yy_act = YY_STATE_EOF((yy_start - 1) / 2);
			    goto do_action;
			    }

			else
			    {
			    if ( ! yy_did_buffer_switch_on_eof )
				YY_NEW_FILE;
			    }
			}
			break;

		    case EOB_ACT_CONTINUE_SCAN:
			yy_c_buf_p = yytext + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state();

			yy_cp = yy_c_buf_p;
			yy_bp = yytext + YY_MORE_ADJ;
			goto yy_match;

		    case EOB_ACT_LAST_MATCH:
			yy_c_buf_p =
			    &yy_current_buffer->yy_ch_buf[yy_n_chars];

			yy_current_state = yy_get_previous_state();

			yy_cp = yy_c_buf_p;
			yy_bp = yytext + YY_MORE_ADJ;
			goto yy_find_action;
		    }
		break;
		}

	    default:
#ifdef FLEX_DEBUG
		printf( "action # %d\n", yy_act );
#endif
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	    }
	}
    }


/* yy_get_next_buffer - try to read in a new buffer
 *
 * synopsis
 *     int yy_get_next_buffer();
 *     
 * returns a code representing an action
 *     EOB_ACT_LAST_MATCH - 
 *     EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *     EOB_ACT_END_OF_FILE - end of file
 */

static int yy_get_next_buffer()

    {
    register YY_CHAR *dest = yy_current_buffer->yy_ch_buf;
    register YY_CHAR *source = yytext - 1; /* copy prev. char, too */
    register int number_to_move, i;
    int ret_val;

    if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
	YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

    /* try to read more data */

    /* first move last chars to start of buffer */
    number_to_move = yy_c_buf_p - yytext;

    for ( i = 0; i < number_to_move; ++i )
	*(dest++) = *(source++);

    if ( yy_current_buffer->yy_eof_status != EOF_NOT_SEEN )
	/* don't do the read, it's not guaranteed to return an EOF,
	 * just force an EOF
	 */
	yy_n_chars = 0;

    else
	{
	int num_to_read = yy_current_buffer->yy_buf_size - number_to_move - 1;

	if ( num_to_read > YY_READ_BUF_SIZE )
	    num_to_read = YY_READ_BUF_SIZE;

	else if ( num_to_read <= 0 )
	    YY_FATAL_ERROR( "fatal error - scanner input buffer overflow" );

	/* read in more data */
	YY_INPUT( (&yy_current_buffer->yy_ch_buf[number_to_move]),
		  yy_n_chars, num_to_read );
	}

    if ( yy_n_chars == 0 )
	{
	if ( number_to_move == 1 )
	    {
	    ret_val = EOB_ACT_END_OF_FILE;
	    yy_current_buffer->yy_eof_status = EOF_DONE;
	    }

	else
	    {
	    ret_val = EOB_ACT_LAST_MATCH;
	    yy_current_buffer->yy_eof_status = EOF_PENDING;
	    }
	}

    else
	ret_val = EOB_ACT_CONTINUE_SCAN;

    yy_n_chars += number_to_move;
    yy_current_buffer->yy_ch_buf[yy_n_chars] = YY_END_OF_BUFFER_CHAR;
    yy_current_buffer->yy_ch_buf[yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

    /* yytext begins at the second character in yy_ch_buf; the first
     * character is the one which preceded it before reading in the latest
     * buffer; it needs to be kept around in case it's a newline, so
     * yy_get_previous_state() will have with '^' rules active
     */

    yytext = &yy_current_buffer->yy_ch_buf[1];

    return ( ret_val );
    }


/* yy_get_previous_state - get the state just before the EOB char was reached
 *
 * synopsis
 *     yy_state_type yy_get_previous_state();
 */

static yy_state_type yy_get_previous_state()

    {
    register yy_state_type yy_current_state;
    register YY_CHAR *yy_cp;

    register YY_CHAR *yy_bp = yytext;

    yy_current_state = yy_start;
    if ( yy_bp[-1] == '\n' )
	++yy_current_state;

    for ( yy_cp = yytext + YY_MORE_ADJ; yy_cp < yy_c_buf_p; ++yy_cp )
	{
	register YY_CHAR yy_c = (*yy_cp ? yy_ec[*yy_cp] : 1);
	if ( yy_accept[yy_current_state] )
	    {
	    yy_last_accepting_state = yy_current_state;
	    yy_last_accepting_cpos = yy_cp;
	    }
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
	    {
	    yy_current_state = yy_def[yy_current_state];
	    if ( yy_current_state >= 457 )
		yy_c = yy_meta[yy_c];
	    }
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	}

    return ( yy_current_state );
    }


/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *     next_state = yy_try_NUL_trans( current_state );
 */

#ifdef YY_USE_PROTOS
static yy_state_type yy_try_NUL_trans( register yy_state_type yy_current_state )
#else
static yy_state_type yy_try_NUL_trans( yy_current_state )
register yy_state_type yy_current_state;
#endif

    {
    register int yy_is_jam;
    register YY_CHAR *yy_cp = yy_c_buf_p;

    register YY_CHAR yy_c = 1;
    if ( yy_accept[yy_current_state] )
	{
	yy_last_accepting_state = yy_current_state;
	yy_last_accepting_cpos = yy_cp;
	}
    while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
	{
	yy_current_state = yy_def[yy_current_state];
	if ( yy_current_state >= 457 )
	    yy_c = yy_meta[yy_c];
	}
    yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
    yy_is_jam = (yy_current_state == 456);

    return ( yy_is_jam ? 0 : yy_current_state );
    }


#ifdef YY_USE_PROTOS
static void yyunput( YY_CHAR c, register YY_CHAR *yy_bp )
#else
static void yyunput( c, yy_bp )
YY_CHAR c;
register YY_CHAR *yy_bp;
#endif

    {
    register YY_CHAR *yy_cp = yy_c_buf_p;

    /* undo effects of setting up yytext */
    *yy_cp = yy_hold_char;

    if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
	{ /* need to shift things up to make room */
	register int number_to_move = yy_n_chars + 2; /* +2 for EOB chars */
	register YY_CHAR *dest =
	    &yy_current_buffer->yy_ch_buf[yy_current_buffer->yy_buf_size + 2];
	register YY_CHAR *source =
	    &yy_current_buffer->yy_ch_buf[number_to_move];

	while ( source > yy_current_buffer->yy_ch_buf )
	    *--dest = *--source;

	yy_cp += dest - source;
	yy_bp += dest - source;
	yy_n_chars = yy_current_buffer->yy_buf_size;

	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
	    YY_FATAL_ERROR( "flex scanner push-back overflow" );
	}

    if ( yy_cp > yy_bp && yy_cp[-1] == '\n' )
	yy_cp[-2] = '\n';

    *--yy_cp = c;

    /* note: the formal parameter *must* be called "yy_bp" for this
     *       macro to now work correctly
     */
    YY_DO_BEFORE_ACTION; /* set up yytext again */
    }


#ifdef __cplusplus
static int yyinput()
#else
static int input()
#endif

    {
    int c;
    YY_CHAR *yy_cp = yy_c_buf_p;

    *yy_cp = yy_hold_char;

    if ( *yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
	{
	/* yy_c_buf_p now points to the character we want to return.
	 * If this occurs *before* the EOB characters, then it's a
	 * valid NUL; if not, then we've hit the end of the buffer.
	 */
	if ( yy_c_buf_p < &yy_current_buffer->yy_ch_buf[yy_n_chars] )
	    /* this was really a NUL */
	    *yy_c_buf_p = '\0';

	else
	    { /* need more input */
	    yytext = yy_c_buf_p;
	    ++yy_c_buf_p;

	    switch ( yy_get_next_buffer() )
		{
		case EOB_ACT_END_OF_FILE:
		    {
		    if ( yywrap() )
			{
			yy_c_buf_p = yytext + YY_MORE_ADJ;
			return ( EOF );
			}

		    YY_NEW_FILE;

#ifdef __cplusplus
		    return ( yyinput() );
#else
		    return ( input() );
#endif
		    }
		    break;

		case EOB_ACT_CONTINUE_SCAN:
		    yy_c_buf_p = yytext + YY_MORE_ADJ;
		    break;

		case EOB_ACT_LAST_MATCH:
#ifdef __cplusplus
		    YY_FATAL_ERROR( "unexpected last match in yyinput()" );
#else
		    YY_FATAL_ERROR( "unexpected last match in input()" );
#endif
		}
	    }
	}

    c = *yy_c_buf_p;
    yy_hold_char = *++yy_c_buf_p;

    return ( c );
    }


#ifdef YY_USE_PROTOS
void yyrestart( FILE *input_file )
#else
void yyrestart( input_file )
FILE *input_file;
#endif

    {
    yy_init_buffer( yy_current_buffer, input_file );
    yy_load_buffer_state();
    }


#ifdef YY_USE_PROTOS
void yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
#else
void yy_switch_to_buffer( new_buffer )
YY_BUFFER_STATE new_buffer;
#endif

    {
    if ( yy_current_buffer == new_buffer )
	return;

    if ( yy_current_buffer )
	{
	/* flush out information for old buffer */
	*yy_c_buf_p = yy_hold_char;
	yy_current_buffer->yy_buf_pos = yy_c_buf_p;
	yy_current_buffer->yy_n_chars = yy_n_chars;
	}

    yy_current_buffer = new_buffer;
    yy_load_buffer_state();

    /* we don't actually know whether we did this switch during
     * EOF (yywrap()) processing, but the only time this flag
     * is looked at is after yywrap() is called, so it's safe
     * to go ahead and always set it.
     */
    yy_did_buffer_switch_on_eof = 1;
    }


#ifdef YY_USE_PROTOS
void yy_load_buffer_state( void )
#else
void yy_load_buffer_state()
#endif

    {
    yy_n_chars = yy_current_buffer->yy_n_chars;
    yytext = yy_c_buf_p = yy_current_buffer->yy_buf_pos;
    yyin = yy_current_buffer->yy_input_file;
    yy_hold_char = *yy_c_buf_p;
    }


#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_create_buffer( FILE *file, int size )
#else
YY_BUFFER_STATE yy_create_buffer( file, size )
FILE *file;
int size;
#endif

    {
    YY_BUFFER_STATE b;

    b = (YY_BUFFER_STATE) malloc( sizeof( struct yy_buffer_state ) );

    if ( ! b )
	YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

    b->yy_buf_size = size;

    /* yy_ch_buf has to be 2 characters longer than the size given because
     * we need to put in 2 end-of-buffer characters.
     */
    b->yy_ch_buf = (YY_CHAR *) malloc( (unsigned) (b->yy_buf_size + 2) );

    if ( ! b->yy_ch_buf )
	YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

    yy_init_buffer( b, file );

    return ( b );
    }


#ifdef YY_USE_PROTOS
void yy_delete_buffer( YY_BUFFER_STATE b )
#else
void yy_delete_buffer( b )
YY_BUFFER_STATE b;
#endif

    {
    if ( b == yy_current_buffer )
	yy_current_buffer = (YY_BUFFER_STATE) 0;

    free( (char *) b->yy_ch_buf );
    free( (char *) b );
    }


#ifdef YY_USE_PROTOS
void yy_init_buffer( YY_BUFFER_STATE b, FILE *file )
#else
void yy_init_buffer( b, file )
YY_BUFFER_STATE b;
FILE *file;
#endif

    {
    b->yy_input_file = file;

    /* we put in the '\n' and start reading from [1] so that an
     * initial match-at-newline will be true.
     */

    b->yy_ch_buf[0] = '\n';
    b->yy_n_chars = 1;

    /* we always need two end-of-buffer characters.  The first causes
     * a transition to the end-of-buffer state.  The second causes
     * a jam in that state.
     */
    b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;
    b->yy_ch_buf[2] = YY_END_OF_BUFFER_CHAR;

    b->yy_buf_pos = &b->yy_ch_buf[1];

    b->yy_eof_status = EOF_NOT_SEEN;
    }
# line 179 "lexer.l"



/************************************************************************
 * Function:	 yyerror						*
 *									*
 * Parameters:	 msg - error message					*
 *									*
 * Return value: none							*
 *									*
 * Calls:	 none							*
 *									*
 * Called by:	 yyparse						*
 *									*
 * Global data:	 yytext and yychar are used				*
 *		 problem is modified					*
 *									*
 * Description:	 Yyerror is used to write an error message when a	*
 *		 syntax error occurs.					*
 ************************************************************************/

void yyerror (msg)
    char *msg;
{
    extern int yychar;


    if (yychar)
	error ("%s (%s unexpected near line %d)", msg, yytext, problem.line);
    else
	error ("%s (end of input unexpected)", msg);

    problem.numerrors ++;
}


/************************************************************************
 * Function:	 RestartLexer						*
 *									*
 * Parameters:	 fp - pointer to input stream				*
 *									*
 * Return value: none							*
 *									*
 * Calls:	 none							*
 *									*
 * Called by:	 GetProblem						*
 *									*
 * Global data:	 problem is partially initialized			*
 *									*
 * Description:	 RestartLexer restarts the lexical analyzer by		*
 *		 initializing the file pointer.				*
 ************************************************************************/

void RestartLexer (fp)
    FILE *fp;
{
    static int firsttime = 1;

# ifdef FLEX_SCANNER
    if (!firsttime)
	yyrestart (fp);
    else {
	firsttime = 0;
	yyin = fp;
    }
# else
    yyin = fp;
# endif

    problem.title = "";
    problem.numnodes = 0;
    problem.numelements = 0;
    problem.numerrors = 0;
    problem.line = 0;
    problem.nodes = NULL;
    problem.elements = NULL;
}

# undef yywrap
int yywrap ( ) {return 1;}
